- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::EquilibrationScaling Class Reference

This class does problem scaling by setting the scaling parameters based on the maximum of the gradient at the user provided initial point. More...

`#include <IpEquilibrationScaling.hpp>`

Inheritance diagram for Ipopt::EquilibrationScaling:

[legend]
Collaboration diagram for Ipopt::EquilibrationScaling:

[legend]
List of all members.

## Public Member Functions
Constructors/Destructors
| EquilibrationScaling (const SmartPtr< NLP > &nlp)
virtual | ~EquilibrationScaling ()
| Default destructor.
## Static Public Member Functions
static void | RegisterOptions (const SmartPtr< RegisteredOptions > &roptions)
| Register the options for this class.
## Protected Member Functions
bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| Initialize the object from the options.
virtual void | DetermineScalingParametersImpl (const SmartPtr< const VectorSpace > x_space, const SmartPtr< const VectorSpace > c_space, const SmartPtr< const VectorSpace > d_space, const SmartPtr< const MatrixSpace > jac_c_space, const SmartPtr< const MatrixSpace > jac_d_space, const SmartPtr< const SymMatrixSpace > h_space, const Matrix &Px_L, const Vector &x_L, const Matrix &Px_U, const Vector &x_U, Number &df, SmartPtr< Vector > &dx, SmartPtr< Vector > &dc, SmartPtr< Vector > &dd)
| This is the method that has to be overloaded by a particular scaling method that somehow computes the scaling vectors dx, dc, and dd.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| EquilibrationScaling (const EquilibrationScaling &)
| Copy Constructor.
void | operator= (const EquilibrationScaling &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< NLP > | nlp_
| pointer to the NLP to get scaling parameters
Number | point_perturbation_radius_
| maximal radius for the random perturbation of the initial point.

## Detailed Description

This class does problem scaling by setting the scaling parameters based on the maximum of the gradient at the user provided initial point.

Definition at line 21 of file IpEquilibrationScaling.hpp.

## Constructor & Destructor Documentation

Ipopt::EquilibrationScaling::EquilibrationScaling | ( | const SmartPtr< NLP > & | nlp | ) | `[inline]`

Definition at line 26 of file IpEquilibrationScaling.hpp.

virtual Ipopt::EquilibrationScaling::~EquilibrationScaling | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 33 of file IpEquilibrationScaling.hpp.

Ipopt::EquilibrationScaling::EquilibrationScaling | ( | const EquilibrationScaling & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

static void Ipopt::EquilibrationScaling::RegisterOptions | ( | const SmartPtr< RegisteredOptions > & | roptions | ) | `[static]`

Register the options for this class.

bool Ipopt::EquilibrationScaling::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[protected, virtual]`

Initialize the object from the options.

Reimplemented from Ipopt::StandardScalingBase.

virtual void Ipopt::EquilibrationScaling::DetermineScalingParametersImpl | ( | const SmartPtr< const VectorSpace > | x_space,
|  | const SmartPtr< const VectorSpace > | c_space,
|  | const SmartPtr< const VectorSpace > | d_space,
|  | const SmartPtr< const MatrixSpace > | jac_c_space,
|  | const SmartPtr< const MatrixSpace > | jac_d_space,
|  | const SmartPtr< const SymMatrixSpace > | h_space,
|  | const Matrix & | Px_L,
|  | const Vector & | x_L,
|  | const Matrix & | Px_U,
|  | const Vector & | x_U,
|  | Number & | df,
|  | SmartPtr< Vector > & | dx,
|  | SmartPtr< Vector > & | dc,
|  | SmartPtr< Vector > & | dd |
| ) |  |  | `[protected, virtual]`

This is the method that has to be overloaded by a particular scaling method that somehow computes the scaling vectors dx, dc, and dd.

The pointers to those vectors can be NULL, in which case no scaling for that item will be done later.

Implements Ipopt::StandardScalingBase.

void Ipopt::EquilibrationScaling::operator= | ( | const EquilibrationScaling & |  | ) | `[private]`

Overloaded Equals Operator.

## Member Data Documentation

SmartPtr<NLP> Ipopt::EquilibrationScaling::nlp_`[private]`

pointer to the NLP to get scaling parameters

Definition at line 81 of file IpEquilibrationScaling.hpp.

Number Ipopt::EquilibrationScaling::point_perturbation_radius_`[private]`

maximal radius for the random perturbation of the initial point.

Definition at line 85 of file IpEquilibrationScaling.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.7.1/Ipopt/src/Algorithm/IpEquilibrationScaling.hpp